﻿using System;

namespace ComboBinding
{
    public class TimeBooking : ViewModelBase
    {
        private int bookingID;

        public int BookingID
        {
            get { return bookingID; }
            set { bookingID = value; OnPropertyChanged("BookingID"); }
        }

        private DateTime bookingDate;

        public DateTime BookingDate
        {
            get { return bookingDate; }
            set { bookingDate = value; OnPropertyChanged("BookingDate"); }
        }

        private int userID;

        public int UserID
        {
            get { return userID; }
            set
            {
                userID = value; 
                OnPropertyChanged("UserID");
                UserName = string.Format("User {0}", userID);
                OnPropertyChanged("UserName");
            }
        }

        public string UserName { get; private set; }

        public string Notes { get; set; }
    }
}